# Uses of Class
javafx.beans.binding.When.StringConditionBuilder

Packages that use When.StringConditionBuilder
Package
Description
javafx.beans.binding
Provides classes that create and operate on a `Binding` that calculates a value that depends on one or more sources.

## Uses of When.StringConditionBuilder in javafx.beans.binding

Methods in javafx.beans.binding that return When.StringConditionBuilder
Modifier and Type
Method
Description
`When.StringConditionBuilder`
When.`then(String thenValue)`
Defines a constant value of the ternary expression, that is returned if the condition is `true`.
`When.StringConditionBuilder`
When.`then(ObservableStringValue thenValue)`
Defines the `ObservableStringValue` which value is returned by the ternary expression if the condition is `true`.